Skip to main content
GET
/
api
/
dashboard
/
collections
List Collections
curl --request GET \
  --url https://api.example.com/api/dashboard/collections
{
  "collections": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "description": "<string>",
      "handle": "<string>",
      "type": "<string>",
      "image_url": "<string>",
      "sort_order": "<string>",
      "published": true,
      "published_at": "2023-11-07T05:31:56Z",
      "products_count": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "page": 123,
  "limit": 123,
  "pages": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.stella-commerce.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

authorization
string | null
X-API-Key
string | null
X-Stella-Merchant-Id
string | null

Query Parameters

page
integer
default:1
Required range: x >= 1
limit
integer
default:20
Required range: 1 <= x <= 100

Response

Successful Response

Schema for paginated collection list.

collections
CollectionResponse · object[]
required
total
integer
required
page
integer
required
limit
integer
required
pages
integer
required